Page MenuHomePhabricator

Remove listing endpoints from REST API
Closed, ResolvedPublic

Description

There is a /page/html/{title}/ public endpoint in RESTBase that was supposed to return all the revisions/tid pairs stored in RESTBase. Given that we intend to store only a single revision/tid for content in RESTBase, the listing makes not sense anymore and can be deleted.

Alon with the listing, we need to remove listing endpoints from key_value, key_rev_value and multicontent_bucket and modify the tests that use listings.

Event Timeline

Pchelolo created this task.Apr 3 2019, 4:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 3 2019, 4:05 PM
Pchelolo claimed this task.Apr 14 2019, 5:47 PM
Pchelolo added a subscriber: holger.knust.

needed to do it before moving to key-value refactoring.
PR: https://github.com/wikimedia/restbase/pull/1115

mobrovac closed this task as Resolved.Apr 15 2019, 2:43 AM
mobrovac triaged this task as Normal priority.
mobrovac added a subscriber: mobrovac.

Merged, resolving.